/*
* Copyright (c) 2008 Matt Giger http://earthbrowser.com/
*
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABIL-
* ITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT
* SHALL THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
* IN THE SOFTWARE.
*/


function init_db()
{
	try
	{
		/*
		var db = new _plugin.SQLite("/Users/mgiger/Library/Preferences/com.earthbrowser.air.E6AAAE80A01B4127788876406C965C3EDE131099.1/Local\ Store/earthbrowser3.db");
		var results = db.execute("select * from places where id='__my_placemarks'");
//		air.trace(JSON.stringify(results, null, '\t'));
		var data = results[0].data;
		air.trace(data.readUTFBytes(data.length));
//		var db = _plugin.database;
		*/
		
//		var db = _plugin.database;
//		db.execute("create table if not exists favorites (name text, data text)");
		
		
	}
	catch(err)
	{
		air.trace(err.toString());
	}
	
	try_import_v2();
}


function try_import_v2()
{
//	if(_cache.load("_v2imported") != null)
//		return false;
	return false;
	
	with(_plugin)
	{
		var path = '';
		if(_plugin.os == "Mac")
		{
			path = "/Users/Shared/earthbrowser2.db";
			var dbfile = new air.File(path);
			air.trace('exists: ' + dbfile.exists);
			if(!dbfile.exists)
				return false;
		}
		else if(_plugin.os == "Windows")
		{
			path = "C:/Documents%20and%20Settings/All%20Users/Application%20Data/EarthBrowser/earthbrowser2.db";
		 	var dbfile = new air.File(path);
			air.trace('exists: ' + dbfile.exists);
			if(!dbfile.exists)
			{
				dbfile = File.userDirectory.resolvePath("Application%20Data/EarthBrowser/earthbrowser2.db");	
				air.trace('exists: ' + dbfile.exists);
				if(!dbfile.exists)
					return false;
					
				path = dbfile.nativePath;
			}
		}
		
		
		var ndb = _plugin.database;
		
		try
		{
			
			var db = new SQLite(path);
			var cities = db.execute("select ccode, country, latitude, longitude, name, state, zoneid from cities where ccode like'x%'");
			
			if(cities && cities.length > 0)
			{
				air.trace(JSON.stringify(cities, null, '\t'));
				
				var ncities = [];
				for(var i=0;i<cities.length;++i)
				{
					var city = cities[i];
					ncities.push({
						id:parseInt("-"+city.ccode.substr(1)),
						longitude:city.longitude,
						latitude:city.latitude,
						name:city.name,
						asciiname:city.name,
						country:city.country,
						admin1:(city.state != "--") ? city.state : "",
						feature_code:"",
						feature_class:"",
						admin2:"",
						population:-1,
						timezone:"America/Los_Angeles"
					});
				}
				
				air.trace(JSON.stringify(ncities, null, '\t'));
				
				ndb.execute("replace into placename (id, name, asciiname, latitude, longitude, feature_code, feature_class, country, admin1, admin2, population, timezone) VALUES(:id, :name, :asciiname, :latitude, :longitude, :feature_code, :feature_class, :country, :admin1, :admin2, :population, :timezone)", ncities);
			}
			
			
			var cams = db.execute("select wcode, webcams.ccode, title, ilink, plink, webcams.drange, freq, webcam_settings.drange from webcams, webcam_settings where webcams.ccode=webcam_settings.ccode and wcode like 'w%'")
			var favorites = db.execute("select name, phi, theta, focalLen, rotation from favorites");
			
//			air.trace(JSON.stringify(cams, null, '\t'));
//			air.trace(JSON.stringify(favorites, null, '\t'));
		}
		catch(err)
		{
			air.trace("import error: " + err.toString());
		}
	}
	
	
//	_cache.store("_v2imported", true);
}
